> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get valorantv2esportsvlrteams



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json get /valorant/v2/esports/vlr/teams/{team_id}
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security: []
tags:
  - name: valorant
    description: Valorant public API endpoints
paths:
  /valorant/v2/esports/vlr/teams/{team_id}:
    get:
      tags:
        - valorant
      operationId: esports_team_v2
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: integer
            format: int32
            minimum: 0
      responses:
        '200':
          description: Esports team profile retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EsportsV2TeamResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
components:
  schemas:
    EsportsV2TeamResponse:
      type: object
      required:
        - status
        - data
      properties:
        data:
          $ref: '#/components/schemas/EsportsV2Team'
        status:
          type: integer
          format: int32
          minimum: 0
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    EsportsV2Team:
      type: object
      required:
        - id
        - name
        - socials
        - roster
        - event_placements
      properties:
        country:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/EsportsV2Country'
        event_placements:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV2EventPlacement'
        id:
          type: integer
          format: int32
          minimum: 0
        logo:
          type:
            - string
            - 'null'
        name:
          type: string
        roster:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV2TeamRosterMember'
        socials:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV2Social'
        tag:
          type:
            - string
            - 'null'
        total_winnings:
          type:
            - string
            - 'null'
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
    EsportsV2Country:
      type: object
      required:
        - name
        - code
      properties:
        code:
          type: string
        name:
          type: string
    EsportsV2EventPlacement:
      type: object
      required:
        - event
        - placements
        - year
      properties:
        event:
          $ref: '#/components/schemas/EsportsV2PlacementEvent'
        placements:
          type: array
          items:
            $ref: '#/components/schemas/EsportsV2PlacementEntry'
        year:
          type: string
    EsportsV2TeamRosterMember:
      type: object
      required:
        - id
        - alias
        - role
        - is_captain
      properties:
        alias:
          type: string
        avatar:
          type:
            - string
            - 'null'
        country_code:
          type:
            - string
            - 'null'
        id:
          type: integer
          format: int32
          minimum: 0
        is_captain:
          type: boolean
        real_name:
          type:
            - string
            - 'null'
        role:
          type: string
    EsportsV2Social:
      type: object
      required:
        - platform
        - url
      properties:
        platform:
          type: string
        url:
          type: string
    EsportsV2PlacementEvent:
      type: object
      required:
        - id
        - slug
        - name
      properties:
        id:
          type: integer
          format: int32
          minimum: 0
        name:
          type: string
        slug:
          type: string
    EsportsV2PlacementEntry:
      type: object
      required:
        - stage
        - placement
      properties:
        placement:
          type: string
        prize:
          type:
            - string
            - 'null'
        stage:
          type: string
        team:
          type:
            - string
            - 'null'

````